# File Safe
## 1  Overview
The File Safe is a user file protection box program developed by the Kylin Security Team. It has a simple interface and aims to provide users with convenient and safe personal file protection.


The File Safe realizes the security protection of user's private data through the combination of isolation, hiding and encryption protection.
<br>
## 2  Introduction 
The software system has been installed by default.


The location of File Safe: Start Menu> File Safe.
<br>

## 3  Function Module
## 3.1  Main Page
#### 3.1.1  Views Switching
After the File Safe software is opened, the homepage interface supports displaying the File Safe directory in icon and list views, and the default is the icon view.


In the icon view, hover the cursor over the File Safe to display the detailed path; the list view supports viewing the detailed information of the File Safe, which can be filtered and displayed according to whether it is encrypted or when it was created.

The user opens the  File Safe interface tool, and drags the slider of the File Safe interface to switch the File Safe icon mode and list mode. The icon view is shown in Figure 1, and the list view is shown in Figure 2.

![Figure 1 File Safe-icon view-big](image/1.png)

![Figure 2 File Safe-list view-big](image/2.png)
<br>


#### 3.1.2  Menu bar
##### 1）  Theme
Window themes include dark theme and light theme.


Open the File Safe. The location of the File Safe: Start Menu> File Safe. File Safe defaults to the light theme, as shown in Figure 3.
![Figure 3 Light theme-big](image/3.png)

Mouse click the taskbar ![](image/black.png) button to switch between light theme and dark theme, as shown in Figure 4.

![Figure 4 Dark theme-big](image/4.png)
<br>

##### 2）  Help
- On the File Safe interface, click the ![](image/menu.png) icon.
- Click "Help".
- A pop-up window will display the relevant information of the help manual of the File Safe. The help example is shown in Figure 5.

![Figure 5 Help-big](image/5.png)

##### 3）  About
- On the interface of File Safe, click the ![](image/menu.png) icon.
- Click "About".
- A pop-up window displays the version, development platform and other information of the File Safe. The version information is shown in Figure 6.

![Figure 6 Version Information-big](image/6.png)


##### 4）  Exit
- On the File Safe interface, click the ![](image/menu.png) icon.


- Click "Exit" to close the interface.
<br>

## 3.2  Basic functions
The File Safe provides such operations as Create, Delete, Password Setting, Rename, Lock and Open the File Safe.

Users can perform related operations through function buttons and right-click menus.


The File Safe created by different users are located in the corresponding /username/box/ directory. The user can access the BOX directory by double-clicking the corresponding icon through the interface of the File Safe management tool. The operation method of the files and directories in the File Safe is the same as that of ordinary files and directories, and can be performed through the command line terminal or file manager.
#### 3.3.1  Right click the unencrypted File Safe
Click the mouse to select the unencrypted File Safe, right-click to pop up the menu, you can open, delete and rename the unencrypted File Safe. Right click the unencrypted File Safe, as shown in Figure 7.

![Figure 7 Unencrypted File Safe-Right click-big](image/7.png)

<br>

#### 3.3.2  Right click the locked File Safe
Click the mouse to select the locked File Safe, and right-click to pop up the menu. You can open, password setting, delete and rename the locked File Safe. Right click the locked File Safe, as shown in Figure 8.

![Figure 8 Locked File Safe-Right click-big](image/8.png)

<br>

#### 3.3.3  Right click the opened File Safe
Click the mouse to select the opened File Safe, and right-click to pop up the menu. You can open, lock, password setting, delete and rename the opened File Safe. Right click the opened File Safe, as shown in Figure 9.

![Figure 9 Opened File Safe-Right click-big](image/9.png)

<br>

#### 3.3.4  Create
The user can click the "new" button to create a new encrypted / unencrypted File Safe, input the File Safe name, password and confirm password, and then click the confirm button to generate a sub interface prompting the user to save the secret key file. The user can save the secret key file to the target path, as shown in Figure 10.

![-big](image/10.1.png)

![-big](image/10.2.png)

![-big](image/10.3.png)

![Figure 10 File Safe-Create-big](image/10.4.png)

The File Safe has the following characteristics:

- Create a new File Safe, you can choose to encrypt or not to encrypt.

- When the newly created File Safe is encrypted, it is only visible to the user and not to other users.

- Create a new unencrypted File Safe. Right click to open, delete and rename the unencrypted File Safe.

- Create a new encrypted (locked) File Safe. Right click to open, password setting, delete and rename the locked File Safe.

- Create a new encrypted (opened) protection File Safe. Right click to open, lock, password setting, delete and rename the opened File Safe.

The File Safe window uses different icons to indicate the different states of the File Safe:

| Serial number | Icon | Explain |
|:-----|:-----|:-----|
|1|![](image/icon3.png)| lock |
|2|![](image/icon4.png)| unlock |
|3|![](image/icon5.png)| unencrypted(only isolated and hidden) |

<br>

#### 3.3.5  Delete
When the user deletes a File Safe that is no longer needed, he only needs to select it and click the "Delete" button, and confirm in the warning popup to complete the relevant operation, as shown in Figure 11:

![-big](image/11.1.png)

![Figure 11 File Safe(Locked)-Delete-big](image/11.2.png)

For the opened File Safe, you need to select it and click the "delete" button or right-click to select the deletion operation. Password authentication is required. After authentication, you can complete the deletion operation of the File Safe, as shown in Figure 12.

![-big](image/12.1.png)

![Figure 12 File safe(Opened)-Delete-big](image/12.2.png)

For the unencrypted File Safe status, you need to select and click the "delete" button or right-click to select the delete operation. You can directly delete the unencrypted File Safe, as shown in Figure 13 below.

![-big](image/13.1.png)

![Figure 13 File Safe(Unencrypted)-Delete-big](image/13.2.png)
<br>

#### 3.3.6  Rename
Right click the File Safe to be renamed, select the "Rename" item in the pop-up menu, enter the new name and confirm. Encrypted (locked, opened) File Safe needs to verify password before it can be renamed. The renaming is shown in figures 14 and 15:

![Figure 14 File Safe(Locked)-Rename-big](image/14.png)

![Figure 15 File Safe(Opened)-Rename-big](image/15.png)

Right-click the File Safe that needs to be renamed. For the unencrypted File Safe, select the "Rename" item in the right-click pop-up menu, enter the new name and confirm. Rename as shown in Figure 16:

![Figure 16 File Safe(Unencrypted)-Rename-big](image/16.png)
<br>

#### 3.3.7  Password Setting
The encrypted (locked and opened) File Safe can be used to modify the password. After selecting the encrypted (locked and opened) File Safe, the user can right click "modify the password of the File Safe" to modify the password. Modifying the password of the File Safe is shown in figures 17 and 18.


![Figure 17 Changing the password of the File Safe through password setting-big](image/17.png)

![Figure 18 Changing the password of the File Safe through secret key setting-big](image/18.png)
<br>

##### 3.3.8  Lock
The opened File Safe can be locked. The user can select the opened File Safe and click "lock" to lock the opened File Safe. The locking settings are shown in figures 19-21.

![Figure 19 File Safe-Lock-big](image/19.png)

![Figure 20 Lock File Safe prompt-big](image/20.png)

![Figure 21 View files being occupied-big](image/21.png)
<br>

#### 3.3.9  Open

The unencrypted and opened File Safe can be opened. The user can select the unencrypted and opened File Safe and click "open" to open the file directory corresponding to the target File Safe. The opening operation is shown in Figure 22.

![Figure 22 File Safe-Open-big](image/22.png)
<br>

## 3.3  Follow the system language
The File Safe tool follows the system language setting by default, and currently supports Chinese mode and English mode.


1）Chinese mode

![Figure 23 Chinese Interface-big](image/23.png)

2）English mode

![Figure 24 English Interface-big](image/24.png)
